Bug 960367 - (CVE-2013-2064) CVE-2013-2064 libxcb: Integer overflow leading to heap-based buffer overflow
CVE-2013-2064 libxcb: Integer overflow leading to heap-based buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130523,repor...
: Security
Depends On: 966831 1078048
Blocks: 959130 1101912
  Show dependency treegraph
 
Reported: 2013-05-07 02:23 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-10-17 03:47 EDT (History)
5 users (show)

See Also:
Fixed In Version: libxcb 1.9.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-16 02:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-07 02:23:55 EDT
An integer overflow leading to a heap-based buffer overflow was found in the read_packet() function of the libxcb library, the X protocol C-language Binding (XCB) library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.
Comment 2 Jan Lieskovsky 2013-05-23 11:43:09 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 3 Huzaifa S. Sidhpurwala 2013-05-24 00:07:18 EDT
Created libxcb tracking bugs for this issue

Affects: fedora-all [bug 966831]
Comment 4 Fedora Update System 2013-05-26 23:20:26 EDT
libxcb-1.9-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Huzaifa S. Sidhpurwala 2013-06-04 23:41:10 EDT
This issue affects the version of libxcb as shipped with Red Hat Enterprise Linux 6.
Comment 6 Huzaifa S. Sidhpurwala 2013-06-04 23:50:48 EDT
Statement:

(none)
Comment 7 Fedora Update System 2013-06-05 21:38:03 EDT
libxcb-1.9-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jan Lieskovsky 2013-06-17 09:07:19 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 10 errata-xmlrpc 2014-10-14 01:05:47 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html

Note You need to log in before you can comment on or make changes to this bug.